Name:           scirenderer
Version:        1.1.0
Release:        %mkrel 9
Summary:        A Java rendering library based on JoGL
Group:          Development/Java

License:        CeCILL
URL:            http://forge.scilab.org/index.php/p/scirenderer
Source0:        http://forge.scilab.org/index.php/p/scirenderer/downloads/get/%{name}-%{version}.tar.gz

# use these patches with original source
Patch1:         %{name}-0002-update-to-jogl2.patch
Patch2:         %{name}-fix-compilation-with-jogl-2.3.patch
# use these patches to sync with current upstream git master
Patch11:        %{name}-1.1.0-sync-with-upstream-git.patch
Patch12:        %{name}-1.1.0-sync-with-upstream-git_2.patch
Patch13:        %{name}-1.1.0-update-to-jogl-2.3.2.patch

BuildRequires:  java-devel
BuildRequires:  javapackages-tools

BuildRequires:  ant
BuildRequires:  jogl2 >= 2.3
BuildRequires:  jlatexmath

Requires:       java
Requires:       javapackages-tools
Requires:       jogl2
Requires:       jlatexmath

BuildArch:      noarch

%description
This Java API allows 2-D or 3-D plotting from simple 2-D graph to complex
scenes.
Independent library and used within Scilab software but is
available for other application and developments.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# if original source
#%%patch1 -p1 -b .jogl2
#%%patch2 -p1 -b .jogl2.3

# if sync with current upstream git master
%patch11 -p1 -b .upstream-fixes
%patch12 -p1 -b .upstream-fixes-2
%patch13 -p1 -b .jogl2.3

# Update path according to the Mageia Guidelines
tee scirenderer-libs.properties << EOF
jogl2.jar=%{_jnidir}/jogl2.jar
gluegen2-rt.jar=%{_jnidir}/gluegen2-rt.jar
jlatexmath.jar=%{_javadir}/jlatexmath.jar
EOF

# fix file-not-utf8
iconv -f ISO_8859-15 -t UTF-8 -o COPYING.utf8 COPYING
mv COPYING.utf8 COPYING

# fix class-path-in-manifest
sed -i '/Class-Path/I d' build.xml

%build
ant jar doc

%install
mkdir -p %{buildroot}%{_javadir}
cp -pr jar/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc README
%doc CHANGES
%license COPYING

%files javadoc
%{_javadocdir}/%{name}
%doc README
%doc CHANGES
%license COPYING


%changelog
* Fri Feb 24 2017 daviddavid <daviddavid> 1.1.0-9.mga6
+ Revision: 1087748
- sync again with current upstream git master (based for scilab 6.0.0 final)

* Tue Nov 29 2016 daviddavid <daviddavid> 1.1.0-8.mga6
+ Revision: 1070960
- sync with current upstream git master (based for scilab 6.0.0)
  * http://forge.scilab.org/index.php/p/scirenderer/source/commit/60b666bdee1bf60e92f1f529db029841406af4f7

* Fri Nov 18 2016 daviddavid <daviddavid> 1.1.0-7.mga6
+ Revision: 1068215
- add an upstream patch to port to jogl 2.3
- also update the update-to-jogl2 patch to port to jogl 2.3

* Tue Feb 09 2016 umeabot <umeabot> 1.1.0-6.mga6
+ Revision: 952337
- Mageia 6 Mass Rebuild

* Wed Feb 18 2015 akien <akien> 1.1.0-5.mga5
+ Revision: 815589
- Add patch inspired from a Debian scilab patch to fix FTBFS with jogl 2.2

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 741713
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 689067
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 541460
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 grenoya <grenoya> 1.1.0-1.mga4
+ Revision: 495948
- add patch 0001 from Fedora to fix code according to stable JogL2

  + dmorgan <dmorgan>
    - New version

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 381876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 grenoya <grenoya> 1.0.3-1.mga3
+ Revision: 344160
- imported package scirenderer

